Bug Hunting Session
Bug 77115 - In the Style dialog of lists/numbering styles, the layout of controls in the "Options" tab is confusing
Summary: In the Style dialog of lists/numbering styles, the layout of controls in the ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.2.0.2 rc
Hardware: Other All
: low normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.4.0
Keywords: needsDevEval
Depends on:
Blocks: Bullet-Numbering-Dialog
  Show dependency treegraph
 
Reported: 2014-04-07 05:30 UTC by narayanaras
Modified: 2017-07-13 11:29 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description narayanaras 2014-04-07 05:30:44 UTC
This bug is essentially a continuation of Bug#76937.

The "Options" tab also has similar (but lesser) issues:

(a) The level list and the controls look like two columns of the same table.
    So the following controls appear to be related on one-to-one basis: 
    1 -> Number, 3/4 -> character style, 5/6 -> show sublevels, etc.

(b) The "Start at" control is tightly related to the "Number" control, yet placed at the end.

(c) The "Start at" control conflicts with "Consecutive numbering", yet both controls are allowed to be active at the same time.

DESIRED:

1. Separate the "Level" list and "Controls" sections by drawing rectangular outline around both, and moving them apart.

2. Move the "Start at" control just below the "Number" control.

3. Allow either "Start at" control or the "Consecutive numbering" to be active at one time (both cannot be active together)
Comment 1 QA Administrators 2015-12-20 16:21:12 UTC Comment hidden (obsolete)
Comment 2 Cor Nouws 2015-12-27 21:15:02 UTC
should be an easy hack, since the UI-files and glade allow easy change of the UI
Comment 3 QA Administrators 2017-01-03 19:58:01 UTC Comment hidden (obsolete)
Comment 4 Cor Nouws 2017-01-06 15:13:37 UTC
still the same in current master
Comment 5 Heiko Tietze 2017-01-07 16:43:54 UTC
Labels are now right-aligned and 'start at' has been moved below 'number'. Size of 'level' is determined by its content, meaning '1-10' defines the small size. Hope @Adolfo finds a solution here.

Consecutive is possible with a start number higher than 1, no need to disable it. There are some other issues with the dialog, e.g. the number type of bullet, graphic etc. are hierarchically not on the same level as number and character.

And the preview on this tab is not like on position. We should go with the preview as separate, right-most column layout like in this tab.
Comment 6 Commit Notification 2017-01-08 21:17:32 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0b791297a0ce1c94031322ac534ba783f6505902

tdf#77115 Layout of options tab of bullet dialog

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2017-03-01 11:00:51 UTC
Hello Heiko,
Is this bug fixed?
If so, could you please close it as RESOLVED FIXED?
Comment 8 Heiko Tietze 2017-03-01 13:06:15 UTC
Let's keep it open until a solution is found for a minimum width for the levels list.
Comment 9 Xisco Faulí 2017-07-13 09:55:14 UTC
Setting Assignee back to default. Please assign it back to yourself if you're still working on this issue
Comment 10 Heiko Tietze 2017-07-13 11:29:46 UTC
The layout has improved with the patch. The left list is still to small but we better discuss this issue in another ticket.